With the new Beta 4 coming out any day now, is it OK to install over previous Beta?